using System;
using System.Collections;
using setPoint.weaving;
using setPoint.messageReifying;

namespace LENDLConfiguration
{
	/// <summary>
	/// Summary description for LoggingAspect.
	/// </summary>
	public class LoggingAspect : IAspect
	{
		private DateTime _startTime;		

		public LoggingAspect()
		{
		}

		public void startLogging(IJoinPoint aJoinpoint)
		{
			this._startTime = DateTime.Now;			
		}

		public void siome()
		{			
		}

		public void endLogging(IJoinPoint aJoinpoint)
		{
			DateTime _endTime = DateTime.Now;			
			string message = "Message: " + aJoinpoint.message.uri + " Sender: " + aJoinpoint.sender.uri + " Receiver: " + aJoinpoint.receiver.uri;
			message += " Inicio: " + this._startTime + " Fin: " + _endTime;			
			System.Diagnostics.EventLog.WriteEntry("SetPoint!", message);
		}

		public bool mustCancelExecution
		{
			get { return false; }
		}
	}
}
