using System;
using dotSenku.Model;

namespace dotSenku.Model.Movements
{
	/// <summary>
	/// StepMovement.
	/// </summary>
	public class StepMovement : Movement
	{
		public StepMovement()
		{
		}

		public StepMovement(Square source, Square target) : base(source, target)
		{		
		}
				
		/// <summary>
		/// step movement execution
		/// </summary>
		override public void execute()
		{
			this.target.peg = this.source.free();			
		}

		
	}
}
