using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;
using dotSenku.Model;
using dotSenku.Model.Builders;

namespace dotSenku
{
	/// <summary>
	/// Summary description for server.
	/// </summary>
	public class server
	{
		public server()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		static void aMain(string[] args)
		{			
			Console.WriteLine("Server Started...");

			HttpChannel chnl = new HttpChannel(1234);			
			ChannelServices.RegisterChannel(chnl);
			RemotingConfiguration.ApplicationName = "dotSenku";
			RemotingConfiguration.RegisterActivatedServiceType(typeof(SenkuBuilder)) ;
			RemotingConfiguration.RegisterActivatedServiceType(typeof(DudeneyBuilder)) ;
			RemotingConfiguration.RegisterActivatedServiceType(typeof(GardnerBuilder)) ;
			RemotingConfiguration.RegisterActivatedServiceType(typeof(LloydBuilder)) ;

			// the server will keep running until keypress.
			Console.ReadLine();
		}

	}
}
