using System;
using dotSenku.Model;
using dotSenku.Model.Movements;

namespace dotSenku.Model.CountingRules
{
	/// <summary>
	/// New movement is counted evert time a move is done
	/// </summary>
	public class SingleMovementCounter : CountingRule
	{
		public SingleMovementCounter()
		{			
		}
				

		/// <summary>
		/// increments the movement on every movement
		/// </summary>
		/// <param name="aMovement"></param>
		override public void count(Movement aMovement)
		{			
			this.increment();		
		}

	}
}
