using System;
using dotSenku.Model;

namespace dotSenku.Model.EndingRules
{
	/// <summary>
	/// Define when a match is finished
	/// </summary>
	public abstract class EndingRule: MarshalByRefObject
	{
		public EndingRule()
		{			
		}

		/// <summary>
		/// decides whether the game has finished
		/// </summary>
		/// <param name="aGame"></param>
		public abstract void analyzeEndingFor(Game aGame);							 
	}
}
